#include "disa8255lab.h"
#include "disa8255liblab.c"
#include <stdio.h>
#include <fcntl.h>      /* open */ 
#include <unistd.h>     /* exit */
#include <stdio.h>

/* Main - Call the ioctl functions */
main()
{
  int file_desc, i,count=0;
  char buf[255];
  char b=1;
  char *msg = "Message passed by ioctl\n";

  sprintf(buf,"/dev/%s\0",DEVICE_NAME);
  file_desc = open(buf, O_RDONLY);
  if (file_desc < 0) 
   {
    printf ("Can't open device file: %s\n", buf);
    exit(-1);
  }

 WriteIsa8255LabControlWord(file_desc,CONTROLWORD1,0x80);
 WriteIsa8255LabControlWord(file_desc,CONTROLWORD2,0x80);
 WriteIsa8255LabPort(file_desc,PORTA1,0);
 WriteIsa8255LabPort(file_desc,PORTB1,0);  
 WriteIsa8255LabPort(file_desc,PORTC1,0);  
 WriteIsa8255LabPort(file_desc,PORTA2,0); 
 WriteIsa8255LabPort(file_desc,PORTB2,0);  
 WriteIsa8255LabPort(file_desc,PORTC2,0); 
  do{
     WriteIsa8255LabPort(file_desc,PORTA1,b);
     b=b<<1;        
     count++;
     if(count%8==0)
      b=1;
     WriteIsa8255LabPort(file_desc,PORTA2,0);
     sleep(1);
     WriteIsa8255LabPort(file_desc,PORTA2,0xff);
     sleep(1);
    } while(count<1000); 
    
  close(file_desc); 
}
